
<?php 
include ("conexion.php");


	
$consulta ="SELECT * FROM web_1001 WHERE cdgtar='02'  ";
$contador=0;
if ($resultado = $mysqli->query($consulta)) 
	$count=0;

    while ($fila2 = $resultado->fetch_assoc()) {

	
	
	           
				$cdgart  = $fila2["CDGART"];
				$PRE001  = $fila2["PRE001"];
				$dscart  = $fila2["DSCART"];
		
			  $PRE001=round($PRE001);
		$ultimo_valor_precio001=substr($PRE001,-1);
	//    $PRE001=round($PRE001);
			   
		
		if ($ultimo_valor_precio001 == 0) {              // redondeo precio 1
			$PRE001  = $fila2["PRE001"]; 
		
		} else if ($ultimo_valor_precio001  ==  5){ 
			$PRE001  = $fila2["PRE001"]; 
		
		} else if ($ultimo_valor_precio001  >  5){ 
			$PRE001=round($PRE001,-1);
		
		}else { 
		
	   	$PRE001=round($PRE001,-1);
		$PRE001=$PRE001+5;
		
		}                                  //////////////////////////////////////////////


	
	$nuevo_saldo="UPDATE web_1001 SET  PRE001='$PRE001' WHERE cdgart='$cdgart'";
	$mysqli->query($nuevo_saldo);
	
	$count++;
	
	echo $count."  ".$dscart."  ".$PRE001."  ".$ultimo_valor_precio001."<BR>";
		}   
